use "C:\OKDC Files\QuarterlyX.dta", clear
log using "C:\OKDC Files\GDP", replace
*First stage regression of first difference in log price on all instruments used to predict exogenous variation in change in log price
more
xi:ivreg2 d.lnp l.lnp l(1/4).(d.lngdp) i.qrtr l.(ORp ORm) if year<2011, small robust bw(145)
drop dlnphat
predict dlnphat
replace dlnphatp=max(dlnphat,0) if obs>=8
replace dlnphatm=min(dlnphat,0) if obs>=8
more
*Second stage regression sees lagged changes in OPEC production as collinear; second lags used to increase efficiency
more
xi:ivreg2 d.lngdp dlnphatp dlnphatm l.lnp l(1/4).(d.lngdp) i.qrtr (=l2.(ORp ORm)) if year<2011, gmm2s small robust bw(145)
mat b = e(b)
more
*Autocorrelation/specification test
more
ivactest, s(25)
more
*Test for heteroskedasticity
more
ivhettest
more
drop IR
predict IR, residuals
replace IR=. if year>2010
*Autocorrelation/specification test
more
wntestb IR, table
*Stationarity test
more
roblpr IR
ac IR
more
line IR yearq
log close
